Main Page Widgets Namespaces Book

# Gtk::Toolbar_Helpers::Element Class Reference

Inheritance diagram for Gtk::Toolbar_Helpers::Element:

[legend]
List of all members.

## Public Methods
| Element (const Element& other)
| Element (Widget& widget, const Glib::ustring& tooltip_text=Glib::ustring(), const Glib::ustring& tooltip_private_text=Glib::ustring())
## Protected Methods
| Element (ToolbarChildType type, Widget* widget, const Glib::ustring& text, bool has_text, const Gtk::StockID& stock_id, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Widget* content, const Callback0& callback)
## Protected Attributes
ToolbarChildType | type_
Widget* | widget_
Glib::ustring | text_
bool | has_text_
StockID | stock_id_
Glib::ustring | tooltip_text_
Glib::ustring | tooltip_private_text_
Widget* | content_
Callback0 | callback_
RadioButton_Helpers::Group* | group_
## Friends
class | ToolList

## Constructor & Destructor Documentation

Gtk::Toolbar_Helpers::Element::Element | ( | ToolbarChildType | type,
|  | Widget* | widget,
|  | const Glib::ustring& | text,
|  | bool | has_text,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Widget* | content,
|  | const Callback0& | callback
| ) | `[protected]`

Gtk::Toolbar_Helpers::Element::Element | ( | const Element& | other | ) |

Gtk::Toolbar_Helpers::Element::Element | ( | Widget& | widget,
|  | const Glib::ustring& | tooltip_text = Glib::ustring(),
|  | const Glib::ustring& | tooltip_private_text = Glib::ustring()
| ) |

## Friends And Related Function Documentation

friend class ToolList`[friend]`

## Member Data Documentation

Callback0 Gtk::Toolbar_Helpers::Element::callback_`[protected]`

Widget* Gtk::Toolbar_Helpers::Element::content_`[protected]`

RadioButton_Helpers::Group* Gtk::Toolbar_Helpers::Element::group_`[protected]`

bool Gtk::Toolbar_Helpers::Element::has_text_`[protected]`

StockID Gtk::Toolbar_Helpers::Element::stock_id_`[protected]`

Glib::ustring Gtk::Toolbar_Helpers::Element::text_`[protected]`

Glib::ustring Gtk::Toolbar_Helpers::Element::tooltip_private_text_`[protected]`

Glib::ustring Gtk::Toolbar_Helpers::Element::tooltip_text_`[protected]`

ToolbarChildType Gtk::Toolbar_Helpers::Element::type_`[protected]`

Widget* Gtk::Toolbar_Helpers::Element::widget_`[protected]`

The documentation for this class was generated from the following file:

- toolbar.h